org.wildfly.swarm.config.security.security_domain

## Class JaspiAuthentication<T extends JaspiAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.JaspiAuthentication<T>

-     public class JaspiAuthentication<T extends JaspiAuthentication<T>>
      extends Object

  JASPI authentication configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaspiAuthentication.JaspiAuthenticationResources` Child mutators for JaspiAuthentication

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaspiAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `authModule(AuthModule value)` Add the AuthModule object to the list of subresources
    `T` | `authModule(AuthModuleSupplier supplier)` Install a supplied AuthModule object to the list of subresources
    `T` | `authModule(String childKey)` Create and configure a AuthModule object to the list of subresources
    `T` | `authModule(String childKey, AuthModuleConsumer consumer)` Create and configure a AuthModule object to the list of subresources
    `T` | `authModules(List<AuthModule> value)` Add all AuthModule objects to this subresource
    `String` | `getKey()`
    `T` | `loginModuleStack(LoginModuleStack value)` Add the LoginModuleStack object to the list of subresources
    `T` | `loginModuleStack(LoginModuleStackSupplier supplier)` Install a supplied LoginModuleStack object to the list of subresources
    `T` | `loginModuleStack(String childKey)` Create and configure a LoginModuleStack object to the list of subresources
    `T` | `loginModuleStack(String childKey, LoginModuleStackConsumer consumer)` Create and configure a LoginModuleStack object to the list of subresources
    `T` | `loginModuleStacks(List<LoginModuleStack> value)` Add all LoginModuleStack objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `JaspiAuthentication.JaspiAuthenticationResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaspiAuthentication

          public JaspiAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public JaspiAuthentication.JaspiAuthenticationResources subresources()

    - #### loginModuleStacks

          public T loginModuleStacks(List<LoginModuleStack> value)

      Add all LoginModuleStack objects to this subresource
      Parameters:
        `value` - List of LoginModuleStack objects.
      Returns:
        this

    - #### loginModuleStack

          public T loginModuleStack(LoginModuleStack value)

      Add the LoginModuleStack object to the list of subresources
      Parameters:
        `value` - The LoginModuleStack to add
      Returns:
        this

    - #### loginModuleStack

          public T loginModuleStack(String childKey,
                                    LoginModuleStackConsumer consumer)

      Create and configure a LoginModuleStack object to the list of subresources
      Parameters:
        `key` - The key for the LoginModuleStack resource
        `config` - The LoginModuleStackConsumer to use
      Returns:
        this

    - #### loginModuleStack

          public T loginModuleStack(String childKey)

      Create and configure a LoginModuleStack object to the list of subresources
      Parameters:
        `key` - The key for the LoginModuleStack resource
      Returns:
        this

    - #### loginModuleStack

          public T loginModuleStack(LoginModuleStackSupplier supplier)

      Install a supplied LoginModuleStack object to the list of subresources

    - #### authModules

          public T authModules(List<AuthModule> value)

      Add all AuthModule objects to this subresource
      Parameters:
        `value` - List of AuthModule objects.
      Returns:
        this

    - #### authModule

          public T authModule(AuthModule value)

      Add the AuthModule object to the list of subresources
      Parameters:
        `value` - The AuthModule to add
      Returns:
        this

    - #### authModule

          public T authModule(String childKey,
                              AuthModuleConsumer consumer)

      Create and configure a AuthModule object to the list of subresources
      Parameters:
        `key` - The key for the AuthModule resource
        `config` - The AuthModuleConsumer to use
      Returns:
        this

    - #### authModule

          public T authModule(String childKey)

      Create and configure a AuthModule object to the list of subresources
      Parameters:
        `key` - The key for the AuthModule resource
      Returns:
        this

    - #### authModule

          public T authModule(AuthModuleSupplier supplier)

      Install a supplied AuthModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.